<?php

namespace App\Http\Controllers;

use View;
use App\Models\Cart;
use App\Models\Service;
use App\Models\ProductCategory;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function __construct()
    {
        $services = Service::orderBy('order', 'ASC')->get();
        $categories = ProductCategory::orderBy('order', 'ASC')->get();
        View::share('services', $services);
        View::share('categories', $categories);
    }
}
