<?php

namespace App\Http\Controllers;


use App\Models\Brand;
use App\Models\Service;
use Illuminate\Http\Request;
use App\Models\ProductCategory;


class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
        $this->middleware(['auth', 'verified']);
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $brands = Brand::all();
        $random_services = Service::take(3)->inRandomOrder()->get();
        $categories = ProductCategory::orderBy('created_at', 'asc')->limit(5)->get();
        return view('welcome', compact('brands', 'random_services', 'categories'));
    }

}
