<?php

namespace App\Models;

use App\Mail\OrderStatus;
use Illuminate\Support\Facades\Mail;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Order extends Model
{
    use HasFactory;
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function products()
    {
        return $this->belongsToMany(Product::class)->withPivot(['quantity','price']);
    }

    public static function boot()
	{
		parent::boot();

		static::updating(function($order)
		{
			if($order->isDirty('status')){
                Mail::to($order->email)->send(new OrderStatus($order));
			}
		});
	}
}
