<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta name="msapplication-TileColor" content="#ffffff">
        <meta name="msapplication-TileImage" content="{{asset('images/favicon/ms-icon-144x144.png')}}">
        <meta name="theme-color" content="#ffffff">
        <meta name="title" content="Tech Support">
        <meta name="description" content="{{setting('site.description')}}">
        <meta name="keywords" content="{{setting('site.keywords')}}">
        <link rel="stylesheet" href="{{asset('assets/css/fonts.css')}}">
        <link href="{{ asset('css/app.css') }}" rel="stylesheet">
        <link rel="stylesheet" href="{{asset('assets/css/bootstrap.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/bootstrap/css/bootstrap.min.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/fontawesome/css/all.min.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/OwlCarousel2-develop/dist/assets/owl.carousel.min.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/jquery-nice-select-master/css/nice-select.css')}}">
        <link rel="stylesheet" rel="preload" href="{{asset('assets/css/style.min.css')}}">
        <link rel="stylesheet" rel="preload" href="{{asset('assets/css/custom.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/specing.min.css')}}">
        <link href="{{asset('assets/css/icofont/icofont.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/owl.carousel/assets/owl.carousel.min.css')}}" rel="stylesheet">
        <style>
            .btn-hover-primary:hover{border-color: #d33733;background-color: #d33733;color: #FFFFFF;}
            .search_field{width: 90%;height: calc(1.5em + .75rem + 2px);padding: .375rem .75rem;font-size: 1rem;font-weight: 400;line-height: 1.5;color: #495057;background-color: #fff;background-clip: padding-box;border: 1px solid #ced4da;border-radius: .25rem;transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;}
        </style>
        <script src="{{ asset('js/app.js') }}" defer></script>
        
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        <script src="{{asset('assets/js/jquery.min.js')}}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
        <script src="{{asset('assets/plugins/bootstrap/js/bootstrap.min.js')}}"></script>
        <script src="{{asset('assets/plugins/OwlCarousel2-develop/dist/owl.carousel.min.js')}}"></script>
        <script src="{{asset('assets/plugins/OwlCarousel2-develop/owlcarousel2-filter.min.js')}}"></script>
        <script src="{{asset('assets/plugins/isotope/isotope.min.js')}}"></script>
        <script src="{{asset('assets/plugins/waypoints-master/lib/jquery.waypoints.min.js')}}"></script>
        <script src="{{asset('assets/plugins/jquery-nice-select-master/js/jquery.nice-select.min.js')}}"></script>
        <script src="{{asset('assets/js/all.min.js')}}"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
        <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
        <script src="{{asset('assets/js/carausol_slider.js')}}"></script>
        <script src="{{asset('assets/owl.carousel/owl.carousel.min.js')}}"></script>
    </head>
<body>
    <div id="app">
        <header class="cm-header">
            <div class="header-top bg-blue mobileHide">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-10">
                            <div class="d-block d-md-flex justify-content-center justify-content-xl-start">
                                <div class="block text-gray mr-35">
                                    @if(setting('site.phone'))
                                    <span class="icon text-primary fas fa-phone-alt mr-15"></span>
                                    <a href="tel: {{setting('site.phone')}}" style="color: #cecece!important;"> {{setting('site.phone')}}</a>
                                    @endif
                                </div>
                                <div class="block text-gray mr-35">
                                    @if (setting('site.email'))
                                    <span class="icon text-primary fas fa-envelope mr-15"></span>
                                    <a href="mailto: {{setting('site.email')}}" style="color: #cecece!important;">{{setting('site.email')}}</a>
                                    @endif
                                </div>
                                <div class="block text-gray">
                                    @if (setting('site.location'))
                                    <span class="icon text-primary fas fa-home mr-15"></span>
                                    {{setting('site.location')}}
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-2 d-block d-md-flex justify-content-center justify-content-xl-start">
                            <div class="block d-flex">
                                @guest
                                    @if (Route::has('login'))
                                        <li class="icon" style="list-style-type: none;">
                                            <a style="color: #cecece!important;" href="{{route('login')}}">{{ __('Login') }}</a>
                                        </li>
                                    @endif
                                    
                                    @if (Route::has('register'))
                                        <li class="icon" style="list-style-type: none;">
                                            <a style="color: #cecece!important;" href="{{route('register')}}">{{ __('Register') }}</a>
                                        </li>
                                    @endif
                                @else
                                <li class="icon dropdown" style="list-style-type: none;">
                                    <a style="color: #cecece!important;" id="navbarDropdown" class=" dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        {{ Auth::user()->name }}
                                        <span class=" fas fa-caret-down"></span>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a style="color: #cecece!important;" class="dropdown-item" href="{{ route('profile') }}">
                                            {{ __('Profile') }}
                                        </a>
                                        <a style="color: #cecece!important;" class="dropdown-item" href="{{ route('logout') }}"
                                            onclick="event.preventDefault();
                                                            document.getElementById('logout-form').submit();">
                                            {{ __('Logout') }}
                                        </a>
        
                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                            @csrf
                                        </form>
                                    </div>
                                </li>
                                @endguest
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="header-top bg-blue mobileShow">
                <div class="container">
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="row">
                                <div class="col-xs-6 ml-30">
                                    <div class="block text-gray mr-35">
                                        @if(setting('site.phone'))
                                        <span class="icon text-primary fas fa-phone-alt mr-15"></span>
                                        <a href="tel: {{setting('site.phone')}}" style="color: #cecece!important;"> {{setting('site.phone')}}</a>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-xs-6 ml-30">
                                    <div class="block text-gray">
                                        @if (setting('site.location'))
                                        <span class="icon text-primary fas fa-home mr-15"></span>
                                        {{setting('site.location')}}
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-2 d-block d-md-flex justify-content-center justify-content-xl-start">
                            <div class="block d-flex">
                                @guest
                                    @if (Route::has('login'))
                                        <li class="icon" style="list-style-type: none;">
                                            <a style="cursor: pointer; color: #cecece!important;" data-toggle="modal" data-target="#loginModal">{{ __('Login') }}</a>
                                        </li>
                                    @endif
                                    
                                    @if (Route::has('register'))
                                        <li class="icon" style="list-style-type: none;">
                                            <a style="cursor: pointer; color: #cecece!important;" data-toggle="modal" data-target="#registerModal">{{ __('Register') }}</a>
                                        </li>
                                    @endif
                                @else
                                
                                <li class="icon dropdown" style="list-style-type: none;">
                                    <a style="color: #cecece!important;" id="navbarDropdown" class=" dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                        {{ Auth::user()->name }}
                                        <span class=" fas fa-caret-down"></span>
                                    </a>
                                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                        <a style="color: #cecece!important;" class="dropdown-item" href="{{ route('profile') }}">
                                            {{ __('Profile') }}
                                        </a>
                                        <a style="color: #cecece!important;" class="dropdown-item" href="{{ route('logout') }}"
                                            onclick="event.preventDefault();
                                                            document.getElementById('logout-form').submit();">
                                            {{ __('Logout') }}
                                        </a>
        
                                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                            @csrf
                                        </form>
                                    </div>
                                </li>
                                @endguest
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="header">
                <div class="container h-100">
                    <div class="row h-100 align-content-center">
                        <div class="col-md-12">
                            <nav class="navbar navbar-expand-lg navbar-light px-0">
                                @if ( setting('site.logo'))
                                    <a class="navbar-brand" href="/">
                                        <img src="{{ Voyager::image(setting('site.logo')) }}" alt="logo">
                                    </a>
                                @endif
                                <button class="navbar-toggler border-0 p-0" type="button" data-toggle="collapse" data-target="#navLinks" aria-controls="navLinks" aria-expanded="false">
                                    <span class="navbar-toggler-icon"></span>
                                </button>
                                <div class="collapse navbar-collapse" id="navLinks">
                                    <ul class="navbar-nav ml-auto align-items-center">
                                        <li class="nav-item">
                                            <a class="nav-link {{ (url()->current() == route('home'))?'active':'' }}" href="/">Home</a></a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link {{ (url()->current() == route('about-us'))?'active':'' }}" href="{{route('about-us')}}">About us</a></a>
                                        </li>
                                        <li class="nav-item dropdown">
                                            <a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Services <span class="text-primary">+</span></a>
                                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                                @foreach ($services as $service)
                                                <li><a class="dropdown-item {{ (url()->current() == route('services', ['slug' => $service->slug]))?'active_link':'' }}" href="{{ route('services', ['slug' => $service->slug]) }}" style="white-space: pre-wrap"> - {{$service->title}}</a></li>
                                                @endforeach
                                            </ul>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link {{ (url()->current() == route('news'))?'active':'' }}" href="{{route('news')}}">News</a></a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link {{ (url()->current() == route('faq'))?'active':'' }}" href="{{route('faq')}}">Faq</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link {{ (url()->current() == route('contact'))?'active':'' }}" href="{{route('contact')}}">Contact us</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link {{ (url()->current() == route('shop'))?'active':'' }}" href="{{route('shop')}}">Shop</a>
                                        </li>
                                        <div class="block d-flex mt-3 mt-lg-0">
                                            @if (setting('social-media.facebook'))
                                                <a href="{{setting('social-media.facebook')}}" target="_blank" rel="noopener">
                                                    <span class="icon fab fa-facebook-f text-dark" role="button"></span>
                                                </a>
                                            @endif
                                            <span class="icon fa fa-search text-dark search-toggle" type="submit" role="button" data-toggle="modal" data-target="#searchModal"></span>
                                            @if(Auth::check())
                                                @if(auth()->user()->cart->count() == 0)
                                                <a class="icon pr-0 pt-0 pb-0 text-dark cart-counter-span" data-toggle="modal" data-target="#bagModal" style="cursor: pointer;">
                                                    <span class="fas fa-shopping-bag"> </span>
                                                </a>
                                                @else
                                                <a class="icon pr-0 pt-0 pb-0 text-dark cart-counter-span" data-toggle="modal" data-target="#bagModal" style="cursor: pointer;">
                                                    <span class="fas fa-shopping-bag"> </span>
                                                    <span class="cart-count" id="cart_quantity">({{auth()->user()->cart->sum('quantity')}})</span>
                                                </a>
                                                   
                                                @endif
                                            @else 
                                                <a href="{{route('login')}}" class="icon text-dark pr-0 pt-0 pb-0">
                                                    <span class="fas fa-shopping-bag"> </span>
                                                </a>
                                            @endif
                                        </div>
                                    </ul>
                                </div>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        
        </header>
        {{-- Bag modal content --}}
        <div class="modal fade" id="bagModal" tabindex="-1" role="dialog" aria-labelledby="bagModal" aria-hidden="true">
            @if (Auth::check())
            <div class="modal-dialog" role="document">
                @if (auth()->user()->cart->count() == 0)
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">My Bag</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">×</span>
                            </button>
                        </div>
                        <div class="product-summery customScroll">
                            <div class="modal-body">
                                <p class="text-center">Your Bag is empty! <a style="color: #7d7d7d" href="{{route('shop')}}">Start shopping now.</a></p>
                                <hr>
                            </div>
                        </div>
                    </div>
                @else
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">My Bag</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="product-summery customScroll">
                        <div class="modal-body">
                            <div class="row learts-mb-n30">
                                <div class="col-12 overflow-hidden learts-mb-30" style="margin-bottom: 30px;">
                                    <ul class="minicart-product-list" style="margin: 0;padding-left: 0;list-style: none;">
                                        @foreach (auth()->user()->cart as $item)
                                            <li style="flex-wrap: wrap;margin-bottom: 20px;padding-bottom: 20px;border-bottom: 1px solid #EEEEEE;display: flex;">
                                                <a href="{{ route('product', ['slug' => $item->product->slug]) }}" class="image" style="-webkit-box-flex: 1;flex: 1 0 75px;">
                                                    <img style="max-width: 100%;" src="{{ Voyager::image($item->product->image)}}" alt="{{$item->product->name}}">
                                                </a>
                                                <div class="content" style="position: relative; -webkit-box-flex: 1;flex: 1 0 calc(100% - 75px);padding-left: 15px;">
                                                    <a href="{{ route('product', ['slug' => $item->product->slug]) }}" class="title" style="color: #7E7E7E;line-height: inherit;display: inline-block;cursor: pointer;text-decoration: none;">
                                                        {{$item->product->name}} <span>({{$item->quantity}})</span>
                                                    </a>
                                                    <span class="quantity-price" style="font-size: 12px;display: block;margin-top: 10px;">
                                                        <span class="amount" style="font-size: 14px;font-weight: 600;color: #333333;">
                                                            @if ($item->product->on_sale)
                                                                ${{$item->product->on_sale}}
                                                            @else
                                                                ${{$item->product->price}}
                                                            @endif
                                                        </span>
                                                    </span>
                                                    <a data-toggle="modal" id="smallButton" data-target="#smallModal" class="remove delete-from-cart"  style="line-height: 1.5;position: absolute;cursor: pointer;
                                                    top: 0;right: 0;padding: 0 3px; color: #7E7E7E; background-color: transparent; border: none;">
                                                        x
                                                    </a>
                                                    <div class="modal fade" id="smallModal" tabindex="-1" role="dialog" aria-labelledby="smallModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog modal-sm" role="document">
                                                            <div class="modal-content">
                                                                <div class="modal-header" style="padding-bottom: 0px;">
                                                                    <h5 class="modal-title" style="visibility: hidden">My Bag</h5>
                                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                        <span aria-hidden="true">&times;</span>
                                                                    </button>
                                                                </div>
                                                                    <div class="modal-body"  id="smallBody">
                                                                        <h5 class="text-center" style="font-size: 15px;">Are you sure you want to delete  ?</h5>
                                                                    </div>
                                                                    <div class="modal-footer">
                                                                        <form action="{{route('cart.destroy', $item->id)}}" method="POST">
                                                                            {{ csrf_field() }}
                                                                            {{method_field('DELETE')}}
                                                                            <button type="submit" class="btn btn-danger">Yes</button>
                                                                        </form>
                                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                                                    </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                        @endforeach
                                        <li style="float: right;margin-right: 30px">
                                            <strong style="margin-right: 10px">Subtotal:</strong>
                                                <span class="amount"> $ {{auth()->user()->cart->sum('price')}}</span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <div class="row">
                            <div class="buttons">
                                <a href="{{route('cart.index')}}" class="btn btn-dark btn-hover-primary" style="border-radius: 500px;line-height: 10px;">view cart</a>
                                <a href="{{route('checkout.index')}}"  class="btn btn-outline-dark" style="border-radius: 500px; line-height: 10px; border: 1px solid #333333">checkout</a>
                            </div>
                        </div>
                    </div>
                </div>
                @endif
            </div>
            @endif
        </div>
        {{-- Search Modal --}}
        <div class="modal fade" id="searchModal" tabindex="-1" role="dialog" aria-labelledby="searchModal" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Search Field</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">×</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="{{route('search-product')}}" method="GET"  enctype="multipart/form-data" class="search_form">
                            <input type="search" class="search_field" name="key" placeholder="Search Here" value="{{old('key')}}" required>
                            <button type="submit" style="background-color: transparent;border: none;font-size: 20px;">
                                <span class="icon fa fa-search text-dark search-toggle"></span>
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        

        <main class="py-4">
            @yield('content')
        </main>

        <footer class="footer section bg-cover overlay-dark pt-60" style="padding-bottom: 0px; bottom: 0; margin-bottom: 0px;">
            <div class="container">
                <div class="row justify-content-between">
                    <div class="col-xl-3 col-md-6 mt-40">
                        @if(setting('site.footer_logo'))
                            <img class="mb-25" src="{{ Voyager::image(setting('site.footer_logo')) }}" alt="footer_logo" style="max-width: 94px">
                        @endif
                        <p class="text-gray">TECH SUPPORT is a professional Information Technology Company that provides customers with a high quality of IT consultancy, computer networking and IT services.</p>
                        <ul class="social-links list-unstyled mt-25">
                            @if(setting('social-media.facebook'))
                                <li>
                                    <a href="{{setting('social-media.facebook')}}" target="_blank" rel="noopener">
                                        <span class="fab fa-facebook-f"></span>
                                    </a>
                                </li>
                            @endif
                            @if(setting('social-media.instagram'))
                                <li>
                                    <a href="{{setting('social-media.instagram')}}" target="_blank" rel="noopener">
                                        <span class="fab fa-instagram"></span>
                                    </a>
                                </li>
                            @endif
                            @if(setting('social-media.linkedin'))
                                <li>
                                    <a href="{{setting('social-media.linkedin')}}" target="_blank" rel="noopener">
                                        <span class="fab fa-linkedin-in"></span>
                                    </a>
                                </li>
                            @endif
                        </ul>
                    </div>
                    <div class="col-xl-3 col-md-6 mt-40">
                        <h1 style="font-size: 20px" class="font-w-600 text-white mb-10">Main Menu</h1>
                        <ul class="footer-links list-unstyled text-uppercase">
                            <li><a href="{{route('home')}}">Home</a></li>
                            <li><a href="{{route('about-us')}}">About Us</a></li>
                            <li><a href="{{route('news')}}">News</a></li>
                            <li><a href="{{route('faq')}}">Faq</a></li>
                            <li><a href="{{route('contact')}}">Contact Us</a></li>
                            <li><a href="{{route('shop')}}">Shop</a></li>
                        </ul>
                    </div>
                    <div class="col-xl-3 col-md-6 mt-40">
                        <h2 style="font-size: 20px" class="font-w-600 text-white mb-10">Services</h2>
                        <ul class="footer-links list-unstyled text-uppercase">
                            @foreach ($services as $service)
                            <li><a href="{{ route('services', ['slug' => $service->slug]) }}">{{$service->title}}</a></li>
                            @endforeach
                        </ul>
                    </div>
                    <div class="col-xl-3 col-md-6 mt-40">
                        <h3 style="font-size: 20px" class="font-w-600 text-white mb-10">Get in touch</h3>
                        <div class="text-gray mt-20">
                            @if (setting('site.phone'))
                                <span class="icon text-primary fas fa-phone-alt mr-2"></span>
                                <a class="text-gray" href="tel: {{setting('site.phone')}}">{{setting('site.phone')}}</a> 
                            @endif
                        </div>
                        <div class="text-gray mt-20">
                            @if (setting('site.mobile'))
                                <span class="icon text-primary fas fa-mobile-alt mr-2"></span>
                                <a class="text-gray" href="tel: {{setting('site.mobile')}}">{{setting('site.mobile')}}</a> 
                            @endif
                        </div>
                        <div class="text-gray mt-20">
                            @if (setting('site.email'))
                                <span class="icon text-primary fas fa-envelope mr-2"></span>
                                <a class="text-gray" href="mailto: {{setting('site.email')}}">{{setting('site.email')}}</a>
                            @endif
                        </div>
                        <div class="text-gray mt-20">
                            @if (setting('site.location'))
                                <span class="icon text-primary fas fa-home mr-2"></span>
                                {{setting('site.location')}}
                            @endif
                        </div>
                        <div class="text-gray mt-20">
                            @if (setting('site.working_hours'))
                                <span class="icon text-primary fas fa-clock-o mr-2"></span>
                                {{setting('site.working_hours')}}
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </footer>
        <div class="footer-bottom">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 text-center">
                        <p>Copyright © {{ \Carbon\Carbon::now()->year }} {{setting('site.title')}}. All Rights Reserved.</p>
                    </div>
                </div>
            </div>
        </div>
        <a href="#top" class="scroll-to-top">
            <span class="fas fa-chevron-up"></span>
        </a>
    </div>
</body>
</html>
