<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        @yield('page')
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta name="msapplication-TileColor" content="#ffffff">
        <meta name="msapplication-TileImage" content="{{asset('images/favicon/ms-icon-144x144.png')}}">
        <meta name="theme-color" content="#ffffff">
        <meta name="title" content="Tech Support">
        <meta name="description" content="{{setting('site.description')}}">
	    <meta name="keywords" content="{{setting('site.keywords')}}">
        <link rel="stylesheet" href="{{asset('assets/css/fonts.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/bootstrap.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/bootstrap/css/bootstrap.min.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/fontawesome/css/all.min.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/OwlCarousel2-develop/dist/assets/owl.carousel.min.css')}}">
        <link rel="stylesheet" href="{{asset('assets/plugins/jquery-nice-select-master/css/nice-select.css')}}">
        <link rel="stylesheet" rel="preload" href="{{asset('assets/css/style.min.css')}}">
        <link rel="stylesheet" rel="preload" href="{{asset('assets/css/custom.css')}}">
        <link rel="stylesheet" href="{{asset('assets/css/specing.min.css')}}">
        <link href="{{asset('assets/css/icofont/icofont.min.css')}}" rel="stylesheet">
        <link href="{{asset('assets/owl.carousel/assets/owl.carousel.min.css')}}" rel="stylesheet">

        @stack('styles')
        
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=UA-27208414-1"></script>
        <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'UA-27208414-1');
        </script>

    </head>
    <body>
        @include('partials.header')
            @yield('content')
            
        @include('partials.footer')
        
        <script src="{{asset('assets/js/jquery.min.js')}}"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
        <script src="{{asset('assets/plugins/bootstrap/js/bootstrap.min.js')}}"></script>
        <script src="{{asset('assets/plugins/OwlCarousel2-develop/dist/owl.carousel.min.js')}}"></script>
        <script src="{{asset('assets/plugins/OwlCarousel2-develop/owlcarousel2-filter.min.js')}}"></script>
        <script src="{{asset('assets/plugins/isotope/isotope.min.js')}}"></script>
        <script src="{{asset('assets/plugins/waypoints-master/lib/jquery.waypoints.min.js')}}"></script>
        <script src="{{asset('assets/plugins/jquery-nice-select-master/js/jquery.nice-select.min.js')}}"></script>
        <script src="{{asset('assets/js/all.min.js')}}"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
        <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
        <script src="{{asset('assets/js/carausol_slider.js')}}"></script>
        <script src="{{asset('assets/owl.carousel/owl.carousel.min.js')}}"></script>
        <script type="text/javascript">
         $("body").on("click", "#quick-add-to-bag", function() {
                    var product_slug = $(this).data('id');
                    var quantity = document.getElementById("myquantity").value;
                    $.ajax({
                        type: 'POST',
                        url: "/cart/" + product_slug,
                        data: {
                            "_token": "{{ csrf_token() }}",
                            "product_slug": product_slug,
                            "quantity":quantity,
                        },
                        success: function(data){
                            if(data != 'error'){
                            $("#quick-add-to-bag").html('Added to Cart ! ');
                            $("#cart_quantity").html('('+data.cart_count+')');
                            var product='<li class="minicart-li"><a href="'+'/product/'+data.product.slug+'" class="image minicart-li-a" >'+
                                                    '<img style="max-width: 100%;" src="'+'/storage/'+data.product.image+'"></a>'+
                                                    '<div class="content minicart-content"><a href="'+'/product/'+data.product.slug+'" class="title minicart-content-a" >'
                                                    +data.product.name+'<span>('+data.qty+')</span></a>'+
                                                    '<span class="quantity-price"><span class="amount" style="font-size: 14px;font-weight: 600;color: #333333;"></span> $'+data.product.price+'</span>'+
                                                    '<form action="'+'/remove/cart/'+data.cart+'"'+' method="POST">{{ csrf_field() }}'+
                                                    '<button onclick="if(!confirm("Are you sure you want to delete this item?")) {return false}" class="remove delete-from-cart" style="line-height: 1.5;position: absolute;cursor: pointer;top: 0;right: 0;padding: 0 3px; color: #7E7E7E; background-color: transparent; border: none;">x</button></form></div></li>';
                            $(".empty").hide();
                            $(".empty-cart").show();
                            $(".amount-sub").html('$'+data.total);
                            $(".minicart-product-list").prepend(product);
                            }else{
                                $("#quick-add-to-bag").html('Item is already in cart ');
                                $("#quick-add-to-bag").css('background-color', 'black');
                            }
                        },
                        error: function(){
                            $("#quick-add-to-bag").html('Item is already in cart ');
                            $("#quick-add-to-bag").css('background-color', 'black');
                        }
                    });
                        
                });
    </script>
        <script>
                $(document).ready(function(){
                    $(".empty-cart").hide();
                        $(".get-item-details").click(function(){
                            var item_id = $(this).data('value');
                            $.ajax({
                                url: "{{ route('item-details') }}",
                                type: 'POST',
                                data: {
                                    "_token": "{{ csrf_token() }}",
                                    "item_id": item_id
                                },
                                success: function(data){
                                    $("#itemDetails").remove();
                                    $('#item-details').append(data);
                                    $('#itemDetails').modal('show');
                                }
                            });
                        });
                });        
            </script>
<!-- Messenger Chat plugin Code -->
    <div id="fb-root"></div>

    <!-- Your Chat plugin code -->
    <div id="fb-customer-chat" class="fb-customerchat">
    </div>

    <script>
      var chatbox = document.getElementById('fb-customer-chat');
      chatbox.setAttribute("page_id", "254765794553511");
      chatbox.setAttribute("attribution", "biz_inbox");
      window.fbAsyncInit = function() {
        FB.init({
          xfbml            : true,
          version          : 'v11.0'
        });
      };

      (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = 'https://connect.facebook.net/en_US/sdk/xfbml.customerchat.js';
        fjs.parentNode.insertBefore(js, fjs);
      }(document, 'script', 'facebook-jssdk'));
    </script>

        @stack('scripts')
    </body>
</html>