@extends('layouts.master')
@section('page')
    <title>{{$news->title}} | {{setting('site.title')}}</title>
@endsection
@section('content')
    <section class="section page-content" style="padding-top: 65px;">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <img class="card-img-top border-bottom" src="{{ Voyager::image($news->image) }}" alt="{{$news->title}}">
                    <div class="blog-meta h6 mt-15">
                        <span class="font-w-600 mr-3"><span class="fas fa-calendar-alt text-primary mr-2"></span>{{ $news->created_at->format('d-M-Y') }}</span>
                    </div>
                    <h3 class="text-dark mt-10 mb-25">{{$news->title}}</h3>
                    <p class="mt-15">{!! $news->description !!}</p>
                </div>
                <div class="col-lg-4 mt-0 mt-lg-0">
                    <div class="widget widget1 widget-categoty">
                        <div class="widget-heading">Latest News</div>
                        <div class="p-3">
                            @foreach ($all_news as $item)
                                <div class="media d-block d-sm-flex mt-15">
                                    <div class="media-body mt-3 mt-sm-0">
                                        <a href="{{ route('detail', ['slug' => $item->slug]) }}" class="font-w-600 text-dark d-block">{{$item->title}}</a>
                                        <span class="font-w-600 mr-3 small"><span class="fas fa-calendar-alt text-primary mr-2"></span>{{ $item->created_at->format('j-F-Y') }}</span>
                                    </div>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="widget widget-categoty">
                        <div class="widget-heading">Product Categories </div>
                        <ul class="category-list list-unstyled p-4">
                            @foreach ($categories as $category)
                            <li>
                                <span class="fas fa-caret-right mr-2"></span>
                                <a href="{{ route('product-category', ['slug' => $category->slug]) }}" class="text-reset">
                                    {{$category->title}}
                                    <small class="text-muted">({{ $category->products()->count() }})</small>
                                </a>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection()
@push('styles')
    <style>
        .widget1 {margin-top: 0px;}
    </style>
@endpush()