@extends('layouts.master')
@section('page')
    <title>News | {{setting('site.title')}}</title>
@endsection
@section('content')
    <section class="section cm-blogs" style="padding-top: 60px;">
        <div class="container">
            <div class="row">
                @if($news->count() > 0)
                    @foreach ($news as $new)
                    <div class="col-lg-4 col-md-6">
                        <div class="blog-item card border-0 mt-30 bg-light-gray">
                            <a href="{{ route('detail', ['slug' => $new->slug]) }}">
                                <img class="card-img-top" src="{{ Voyager::image($new->thumbnail('thumb')) }}" alt="{{$new->title}}">
                            </a>
                            <div class="blog-meta-overlap">{{ $new->created_at->format('d') }} <span>{{ $new->created_at->format('M') }}</span></div>
                            <div class="card-body">
                                <a href="{{ route('detail', ['slug' => $new->slug]) }}" class="h4 font-w-400 text-dark line-h-1-5">{{$new->title}}</a>
                                <p class="text-dark mt-15">{{ $new->short_description }}</p>
                            </div>
                        </div>
                    </div>
                    @endforeach
                @else
                    <div class="col-lg-12 col-md-12 text-center">
                        <h4 class="h4 font-w-400 text-dark line-h-1-5">No news yet</a>
                    </div>
                @endif
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center">
                  {!! $news->links('partials.paginator') !!}
                </div>
            </div>
        </div>
    </section>
@endsection()