<footer class="footer section bg-cover overlay-dark pt-60" style="padding-bottom: 0px; bottom: 0; margin-bottom: 0px;">
    <div class="container">
        <div class="row justify-content-between">
            <div class="col-xl-3 col-md-6 mt-40">
                @if(setting('site.footer_logo'))
                    <img class="mb-25" src="{{ Voyager::image(setting('site.footer_logo')) }}" alt="footer_logo" style="max-width: 94px">
                @endif
                <p class="text-gray">TECH SUPPORT is a professional Information Technology Company that provides customers with a high quality of IT consultancy, computer networking and IT services.</p>
                <ul class="social-links list-unstyled mt-25">
                    @if(setting('social-media.facebook'))
                        <li>
                            <a href="{{setting('social-media.facebook')}}" target="_blank" rel="noopener">
                                <span class="fab fa-facebook-f"></span>
                            </a>
                        </li>
                    @endif
                    @if(setting('social-media.instagram'))
                        <li>
                            <a href="{{setting('social-media.instagram')}}" target="_blank" rel="noopener">
                                <span class="fab fa-instagram"></span>
                            </a>
                        </li>
                    @endif
                    @if(setting('social-media.linkedin'))
                        <li>
                            <a href="{{setting('social-media.linkedin')}}" target="_blank" rel="noopener">
                                <span class="fab fa-linkedin-in"></span>
                            </a>
                        </li>
                    @endif
                </ul>
            </div>
            <div class="col-xl-3 col-md-6 mt-40">
                <h1 style="font-size: 20px" class="font-w-600 text-white mb-10">Main Menu</h1>
                <ul class="footer-links list-unstyled text-uppercase">
                    <li><a href="{{route('home')}}">Home</a></li>
                    <li><a href="{{route('about-us')}}">About Us</a></li>
                    <li><a href="{{route('news')}}">News</a></li>
                    <li><a href="{{route('faq')}}">Faq</a></li>
                    <li><a href="{{route('contact')}}">Contact Us</a></li>
                    <li><a href="{{route('shop')}}">Shop</a></li>
                </ul>
            </div>
            <div class="col-xl-3 col-md-6 mt-40">
                <h2 style="font-size: 20px" class="font-w-600 text-white mb-10">Services</h2>
                <ul class="footer-links list-unstyled text-uppercase">
                    @foreach ($services as $service)
                    <li><a href="{{ route('services', ['slug' => $service->slug]) }}">{{$service->title}}</a></li>
                    @endforeach
                </ul>
            </div>
            <div class="col-xl-3 col-md-6 mt-40">
                <h3 style="font-size: 20px" class="font-w-600 text-white mb-10">Get in touch</h3>
                <div class="text-gray mt-20">
                    @if (setting('site.phone'))
                        <span class="icon text-primary fas fa-phone-alt mr-2"></span>
                        <a class="text-gray" href="tel: {{setting('site.phone')}}">{{setting('site.phone')}}</a> 
                    @endif
                </div>
                <div class="text-gray mt-20">
                    @if (setting('site.mobile'))
                        <span class="icon text-primary fas fa-mobile-alt mr-2"></span>
                        <a class="text-gray" href="tel: {{setting('site.mobile')}}">{{setting('site.mobile')}}</a> 
                    @endif
                </div>
                <div class="text-gray mt-20">
                    @if (setting('site.email'))
                        <span class="icon text-primary fas fa-envelope mr-2"></span>
                        <a class="text-gray" href="mailto: {{setting('site.email')}}">{{setting('site.email')}}</a>
                    @endif
                </div>
                <div class="text-gray mt-20">
                    @if (setting('site.location'))
                        <span class="icon text-primary fas fa-home mr-2"></span>
                        {{setting('site.location')}}
                    @endif
                </div>
                <div class="text-gray mt-20">
                    @if (setting('site.working_hours'))
                        <span class="icon text-primary fas fa-clock-o mr-2"></span>
                        {{setting('site.working_hours')}}
                    @endif
                </div>
            </div>
        </div>
    </div>
</footer>
<div class="footer-bottom">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <p>Copyright © {{ \Carbon\Carbon::now()->year }} {{setting('site.title')}}. All Rights Reserved.</p>
            </div>
        </div>
    </div>
</div>
<a href="#top" class="scroll-to-top">
    <span class="fas fa-chevron-up"></span>
</a>