@extends('layouts.master')
@section('page')
    <title>{{$category->title}} | {{setting('site.title')}}</title>
@endsection
@section('content')
     <section class="section page-content pt-80 pb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8">
                    <div class="row">
                        @if($category->products->count() > 0)
                        @foreach ($category->products as $product)
                        <div class="col-md-4">
                            <div class="card border-0 product-item shadow-sm mb-30">
                                <div class="blog-item border-0 mt-30">
                                    <a href="{{ route('product', ['slug' => $product->slug]) }}">
                                        @if ($product->on_sale)
                                            <span class="product-badges"> 
                                                <span class="onsale">Sale</span>
                                            </span>
                                        @endif
                                        <img class="card-img-top border-bottom" src="{{ Voyager::image($product->image) }}" alt="{{$product->name}}">
                                    </a>
                                    <div class="card-body">
                                        <div class="show-on-hover">
                                            <a href="javascript:void(0);" data-toggle="tooltip" data-placement="top" title="Quick View" class="btn btn-primary1 rounded-pill get-item-details" data-value="{{ $product->id }}">
                                                <span class="icon fa fa-search text-white search-toggle" ></span>
                                              </a>
                                        </div>
                                        <div class="d-flex align-items-center justify-content-between">
                                            <small class="text-uppercase font-w-600"> <a class="item_title" href="{{ route('product', ['slug' => $product->slug]) }}">{{$product->name}}</a></small>
                                        </div>
                                        <div class="d-flex align-items-center justify-content-between">
                                            @if ($product->on_sale)
                                                <h5 class="font-w-700  font-secondery" style="text-decoration: line-through;color: #aaa;">$ {{$product->price}}</h5>
                                                <h5 class="font-w-700 text-dark font-secondery">$ {{$product->on_sale}}</h5>
                                            @else
                                                <h5 class="font-w-700 text-dark font-secondery">$ {{$product->price}}</h5>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endforeach
                        @else
                        <div class="col-md-12">
                            <div class="card border-0 product-item mb-30 text-center">
                                <h4 class="font-w-700 text-dark font-secondery ">No products in {{$category->title}} category</h4>
                            </div>
                        </div>
                        @endif
                    </div>
                </div>
                <div class="col-lg-4 mt-5 mt-lg-0 mobileHide">
                    <div class="widget widget-categoty mt-0">
                        <div class="widget-heading">Product Categories</div>
                        <ul class="category-list list-unstyled p-4">
                            @foreach ($categories as $category)
                                <li>
                                    <span class="fas fa-caret-right mr-2"></span>
                                    <a href="{{ route('product-category', ['slug' => $category->slug]) }}" class="text-reset1 {{ (url()->current() == route('product-category', ['slug' => $category->slug]))?'active_link':'' }}">
                                        {{$category->title}}
                                        <small>({{ $category->products()->count() }})</small>
                                    </a>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ITEM DETAILS MODAL CONTAINER -->
    <div id="item-details"></div>
@endsection
@push('styles')
    <style>
        .product-badges{position: absolute;top: 20px;right: 20px;display: flex;-webkit-box-orient: vertical;-webkit-box-direction: normal;flex-direction: column;margin-bottom: -12px;}
        .onsale{background-color: #d33733; font-weight: 400;line-height: 48px;z-index: 5;width: 48px;height: 48px;margin-bottom: 12px;text-align: center;text-transform: lowercase;color: #FFFFFF;border-radius: 50%;}
        .text-reset1{color: #7d7d7d;}
        a:hover,a.active_link{color: #d33733;}
        .blog-item:hover .card-img-top{-webkit-filter: sepia(0.4); filter: none; }
        .item_title{color: #7d7d7d;}
        .item_title:hover{text-decoration: none;color: #7d7d7d;}
    </style>    
@endpush
@push('scripts')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".get-item-details").click(function(){
                var item_id = $(this).data('value');
                $.ajax({
                    url: "{{ route('item-details') }}",
                    type: 'POST',
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "item_id": item_id
                    },
                    success: function(data){
                        $("#itemDetails").remove();
                        $('#item-details').append(data);
                        $('#itemDetails').modal('show');
                    }
                });
            });
        });
    </script>
@endpush