@extends('layouts.master')
@section('page')
    <title>Search | {{setting('site.title')}}</title>
@endsection
@section('content')
   <div class="cm-page-header overlay-dark bg-cover" style="background-image: url({{asset('assets/images/tech-support/products.jpg')}}); ">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <div class="block text-white text-center">
                        <h2 class="h1">Your search result</h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <section class="section page- pt-80 pb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-9">
                    <div class="row">
                        @foreach ($products as $product)
                        <div class="col-md-4">
                            <div class="card border-0 product-item shadow-sm mb-30">
                                <div class="blog-item border-0 mt-30">
                                    <a href="{{ route('product', ['slug' => $product->slug]) }}">
                                        @if ($product->on_sale && $product->quantity > 0)
                                            <span class="product-badges"> 
                                                <span class="onsale">Sale</span>
                                            </span>
                                        @endif
                                        @if ($product->quantity <= 0)
                                        <span class="product-out-of-stock"> 
                                            <span class="outofstock">Out <br> of Stock</span>
                                        </span>
                                   @endif
                                        <img style="max-height: 100%;" class="card-img-top border-bottom" src="{{ Voyager::image($product->thumbnail('small')) }}" alt="{{$product->name}}">
                                    </a>
                                    <div class="card-body">
                                        <div class="show-on-hover">
                                            <a href="javascript:void(0);" data-toggle="tooltip" data-placement="top" title="Quick View" class="btn btn-primary1 rounded-pill get-item-details" data-value="{{ $product->id }}">
                                              <span class="icon fa fa-search text-white search-toggle" ></span>
                                            </a>
                                        </div>
                                        <div class="d-flex align-items-center justify-content-between">
                                            <small class="font-w-600"> 
                                                <a class="item_title" href="{{ route('product', ['slug' => $product->slug]) }}">{{$product->name}}</a>
                                            </small>
                                        </div>
                                        <div class="d-flex align-items-center justify-content-between">
                                            @if ($product->on_sale)
                                            <h3 class="font-w-700  font-secondery" style="text-decoration: line-through;color: #595959; font-size: 18px;">$ {{$product->price}}</h3>
                                            <h3 style="font-size: 18px;" class="font-w-700 text-dark font-secondery">$ {{$product->on_sale}}</h3>
                                            @else
                                            @if ($product->price > 0)
                                            <h3 style="font-size: 18px;" class="font-w-700 text-dark font-secondery">$ {{$product->price}}</h3>
                                            @else
                                            <a target="_blank" href="https://wa.me/+9611880553" style="color: #595959;">Ask for price</a>
                                            @endif
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
                <div class="col-lg-3 mt-5 mt-lg-0">
                    <div class="widget widget1 widget-categoty">
                        <div class="widget-heading">Shop Categories</div>
                        <ul class="category-list list-unstyled p-4">
                            @foreach ($categories as $category)
                            <li style="white-space: nowrap">
                                <span class="fas fa-caret-right mr-2"></span>
                                <a href="{{ route('product-category', ['slug' => $category->slug]) }}" class="text-reset">
                                    {{$category->title}}
                                    <small class="text-muted">({{ $category->products()->count() }})</small>
                                </a>
                            </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center">
                  {!! $products->links('partials.paginator') !!}
                </div>
            </div>
        </div>
    </section>
    <div id="item-details"></div>
@endsection
@push('styles')
    <style>
        .product-badges{position: absolute;top: 20px;right: 20px;display: flex;-webkit-box-orient: vertical;-webkit-box-direction: normal;flex-direction: column;margin-bottom: -12px;}
        .onsale{background-color: #d33733; font-weight: 400;line-height: 48px;z-index: 5;width: 48px;height: 48px;margin-bottom: 12px;text-align: center;text-transform: lowercase;color: #FFFFFF;border-radius: 50%;}
        .blog-item:hover .card-img-top{-webkit-filter: sepia(0.4); filter: none; }
        .widget1{margin-top: 0px;}
        .item_title{color: #595959;}
        .item_title:hover{text-decoration: none;color: #595959;}
    </style>
@endpush()
@push('scripts')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".get-item-details").click(function(){
                var item_id = $(this).data('value');
                $.ajax({
                    url: "{{ route('item-details') }}",
                    type: 'POST',
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "item_id": item_id
                    },
                    success: function(data){
                        $("#itemDetails").remove();
                        $('#item-details').append(data);
                        $('#itemDetails').modal('show');
                    }
                });
            });
        });
    </script>
@endpush