@extends('layouts.master')

@section('page')
    <title>Home | {{setting('site.title')}}</title>
@endsection

@section('content')
<div class="container-fluid px-0">
    @if (session()->has('success_message'))
      <div class="alert alert-success">
        {{ session()->get('success_message') }}
      </div>
    @endif
    @if(count($errors) > 0)
      <div class="alert alert-danger">
        <ul>
          @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
          @endforeach
        </ul>
      </div>
    @endif
  </div>
    <div class="cm-banner overlay bg-cover" style="background-image: url({{asset('assets/images/tech-support/tech-support.jpg)')}};">
        <div class="container h-100">
            <div class="row h-100 align-items-center">
                <div class="col-xl-6 col-lg-7">
                    <div class="block text-white">
                        <h3 class="mb-15">Mobile & Computer</h3>
                        <h2 class="display-3">Repair Service</h2>
                        <p class="lead mt-25 mb-35">You lead we support...</p>
                        <a class="btn btn-primary1 mt-10 mr-3 mr-md-4" style="color: white;" href="{{route('downloads')}}">Downloads</a>
                        <a class="btn btn-light mt-10" href="https://we-link.co/companies/40/jobs" target="_blank" rel="noopener">Career</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="cm-features">
        <div class="container">
            <div class="row justify-content-center">
                @foreach ($random_services as $service)
                        <div class="col-xl-4 col-md-6">
                            <div class="block d-flex align-items-center">
                                <span class="icon bg-primary">
                                    <img src="{{asset('assets/images/features/services.png')}}" alt="services">
                                </span>
                                <div>
                                    <a href="{{ route('services', ['slug' => $service->slug]) }}">
                                        <h3 class="text-dark mb-10" style="font-size: 20px;">{{$service->title}}</h3>
                                    </a>
                                </div>
                            </div>
                        </div>
                @endforeach
            </div>
        </div>
    </div>
    <section class="section cm-about-us pt-80" style="padding-bottom: 80px;">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <div class="col-lg-12 col-md-10">
                    <div class="block  mt-5 mt-lg-0">
                        <h2 class="h1 text-dark">Expert, Affordable, Fast!</h2>
                        <p class="mt-25">TECH SUPPORT is a professional Information Technology Company that provides customers with a high quality of IT consultancy, computer networking and IT services.
                        </p>
                        <p class="mt-25">Our team is committed to providing the best IT support in improving the design, supplies, installs and support for IT infrastructure solutions that contribute to improve operational efficiency, productivity and resources into competitive advantage to identify new business opportunities.</p>
                        <p class="mt-25">We provide Computer Support across all Lebanon and The Middle East.</p>
                        <p class="mt-25">We utilize our experience and expertise in the networking industry to help you lower cost by leveraging new technology.</p>
                        <p class="mt-25">Through our in-depth knowledge of the business we serve, we aim at implementing the most advanced technology practices in order to drive your business efficiency and offer measurable value.
                            Our mission is to serve any client, whether it is a small organization or a big enterprise, with the most reliable technology resources while providing cost-effective solutions.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="section cm-how-can-help bg-light-gray bg-cover pt-80 pb-80">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="mb-30 text-center">
                        <h2 class="section-heading h1 text-dark">Here's How We Can Help You</h2>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="block bg-cover mt-30">
                        <div class="context">
                            <div class="icon">
                                <img src="{{asset('assets/images/help/help.png')}}" alt="help">
                            </div>
                            <h3 style="font-size: 20px" class="text-dark font-w-700">On-Site Support</h3>
                            <p class="mt-15">In addition to 24/7 remote monitoring, we include unlimited onsite engineering time.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="block active bg-cover mt-30">
                        <div class="context">
                            <div class="icon">
                                <img src="{{asset('assets/images/help/headset.png')}}" alt="headset.png">
                            </div>
                            <h4 class="text-dark font-w-700">Remote Support</h4>
                            <p class="mt-15">We provide remote support for our clients. Securely connect to remote computers.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="block bg-cover mt-30">
                        <div class="context">
                            <div class="icon">
                                <img src="{{asset('assets/images/help/clock.png')}}" alt="clock.png">
                            </div>
                            <h4 class="text-dark font-w-700">Fast Service</h4>
                            <p class="mt-15">We are here to give you the complete service solutions for your laptop and desktop computers.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="block active bg-cover mt-30">
                        <div class="context">
                            <div class="icon">
                                <img src="{{asset('assets/images/help/dollar.png')}}" alt="dollar">
                            </div>
                            <h4 class="text-dark font-w-700">Cut Costs</h4>
                            <p class="mt-15">Continual delighted as elsewhere am convinced unfeeling. Introduced stimulated attachment.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="block bg-cover mt-30">
                        <div class="context">
                            <div class="icon">
                                <img src="{{asset('assets/images/help/head.png')}}" alt="head">
                            </div>
                            <h4 class="text-dark font-w-700">Have a Backup Plan</h4>
                            <p class="mt-15">We endeavor to keep all information intact, unless it is necessary to remove as a part of the repair.</p>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 col-md-6">
                    <div class="block active bg-cover mt-30">
                        <div class="context">
                            <div class="icon">
                                <img src="{{asset('assets/images/help/settings.png')}}" alt="settings">
                            </div>
                            <h4 class="text-dark font-w-700">Remote Workforce</h4>
                            <p class="mt-15">Our team can build a fast, secure network or simply solve any network problems you may have.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="section cm-services bg-cover overlay-dark mobileHide pt-80 pb-80">
        <div class="container  ">
            <div class="row">
                <div class="col-lg-3 mb-5 mb-lg-0">
                    <div class="nav flex-column nav-pills">
                        @foreach ($services as $service)
                        <a class="nav-link rounded-0 text-white text-left {{ $service->id == 1 ? 'active' : '' }}" data-toggle="pill" href="#home{{$service->id}}" role="tab" aria-selected="true">
                            {{$service->title}}
                        </a>
                        @endforeach
                    </div>
                </div>
                <div class="col-lg-9">
                    <div class="tab-content">
                        @foreach ($services as $item)
                        <div class="tab-pane fade show {{ $item->id == 1 ? 'active' : '' }}" id="home{{$item->id}}" role="tabpanel">
                            <div class="service-item">
                                <div class="row">
                                    <div class="col-md-12" style="padding-bottom: 50px">
                                        <h2 class="h1 text-white mb-25">{{$item->title}}</h2>
                                    </div>
                                    <div class="col-md-7 order-1 order-md-0">
                                        <p class="text-gray">{{$item->short_description}}</p>
                                        <a href="{{ route('services', ['slug' => $item->slug]) }}" style="color: white" class="btn btn-primary1 mt-35">Read More</a>
                                    </div>
                                    @if ($item->image)
                                        <div class="col-md-5 col-sm-8 order-0 order-md-1 my-1 mb-4 my-md-0">
                                            <img class="img-fluid" src="{{ Voyager::image($item->image) }}" alt="{{$item->title}}">
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="section cm-services bg-cover overlay-dark mobileShow">
        <div class="container">
            <div class="row">
                <div class="accordion" id="accordionExample">
                    @foreach ($services as $item)
                        <div class="card" style="border-bottom: 1px solid rgba(255,255,255,.3);background-color: rgba(255,255,255,.1);">
                            <div class="card-header" id="heading{{$item->id}}">
                                <button class="btn btn-link nav-link-1 text-white rounded-0 text-left {{ $item->id == 1 ? 'active' : '' }}" type="button" data-toggle="collapse" data-target="#collapse{{$item->id}}" aria-expanded="true" aria-controls="collapse{{$item->id}}">
                                    {{$item->title}}
                                </button>
                            </div>
                            <div id="collapse{{$item->id}}" class="collapse {{ $item->id == 1 ? 'show' : '' }}" aria-labelledby="heading{{$item->id}}" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-7 order-1 order-md-0">
                                            <p class="text-gray">{{$item->short_description}}</p>
                                            <a href="{{ route('services', ['slug' => $item->slug]) }}" style="color: white;" class="btn btn-primary mt-35">Read More</a>
                                        </div>
                                        <div class="col-md-5 col-sm-8 order-0 order-md-1 my-1 mb-4 my-md-0">
                                            <img class="img-fluid" src="{{ Voyager::image($item->image) }}" alt="{{$item->title}}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </section>
    <section class="section why-choose-us pt-80 pb-80">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6 mb-4 mb-lg-0">
                    <div class="pr-0 pr-lg-2">
                        <h2 class="section-heading h1 text-dark">Why Choose Us</h2>
                        <p class="mt-30">TECH SUPPORT is a professional Information Technology Company that provides customers with a high quality of IT consultancy, computer networking, and IT services... </p>
                        <p class="mt-20">We utilize our extensive experience and expertise in providing networking industry services and solutions in order to help you lower cost and increase efficiency by leveraging our immense know-how with state of the art technologies.</p>
                        <div class="row text-center">
                            <div class="col-md-5 col-sm-6 mt-30">
                                <img src="{{asset('assets/images/why-choose-us/why_choose_us.png')}}" alt="why_choose_us">
                                <h3 style="font-size: 20px" class="text-dark mt-15">After Sales Support</h3>
                            </div>
                            <div class="col-md-5 col-sm-6 mt-30">
                                <img src="{{asset('assets/images/why-choose-us/positivity.png')}}" alt="positivity">
                                <h4 class="text-dark mt-15">Client Satisfaction</h4>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 mt-4 mt-lg-0">
                    <div class="row masonry">
                        <div class="col-sm-6">
                            <div class="block text-center">
                                <div class="icon">
                                    <img src="{{asset('assets/images/why-choose-us/setting.png')}}" alt="setting">
                                </div>
                                <h4 class="mt-25 text-dark">Skill</h4>
                                <p class="mt-20">Technical support staff maintain computer systems, ensuring that they run smoothly and fixing problems as they arise.</p>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="block text-center">
                                <div class="icon">
                                    <img src="{{asset('assets/images/why-choose-us/head.png')}}" alt="head">
                                </div>
                                <h4 class="mt-25 text-dark">Experience</h4>
                                <p class="mt-20">Our team ensures supporting our customers in leveraging their potentials and ensuring best time and cost effectiveness.</p>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="block text-center">
                                <div class="icon">
                                    <img src="{{asset('assets/images/why-choose-us/achivement.png')}}" alt="achivement">
                                </div>
                                <h4 class="mt-25 text-dark">Quality</h4>
                                <p class="mt-20">We, at TECH SUPPORT, put our expertise into practice in an attempt to exceed your corporate objectives while leveraging new technology.</p>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="block text-center">
                                <div class="icon">
                                    <img src="{{asset('assets/images/why-choose-us/tick.png')}}" alt="tick">
                                </div>
                                <h4 class="mt-25 text-dark">Guarantees</h4>
                                <p class="mt-20">We  provides customers with a wide variety of services, from IT consultancy and computer networking to website development and design.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="section bg-light-gray pt-80 pb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6 col-md-8 text-center">
                    <h2 class="section-heading h1 text-dark mb-30">Our Recent Products</h2>
                </div>
            </div>
        </div>
        <div class="carousel-fluid">
            <div class="row no-gutters justify-content-center">
                <div class="col-md-12">
                    <div class="owl-carousel fluid-carousel">
                        <?php $count = 0;  ?>
                        @foreach ($categories as $category)
                        @foreach ($category->products as $item)
                        <?php if($count == 10) break; ?>
                        <div class="card border-0 product-item">
                            <a href="{{ route('product', ['slug' => $item->slug]) }}">
                                @if ($item->on_sale)
                                    <span class="product-badges"> 
                                        <span class="onsale">Sale</span>
                                    </span>
                                @endif
                                <img class="card-img-top border-bottom" src="{{ Voyager::image($item->thumbnail('small')) }}" alt="{{$item->name}}">
                            </a>
                            <div class="card-body">
                                <div class="show-on-hover">
                                    <a href="javascript:void(0);" data-toggle="tooltip" data-placement="top" title="Quick View" class="btn btn-primary1 rounded-pill get-item-details" data-value="{{ $item->id }}">
                                        <span class="icon fa fa-search text-white search-toggle" ></span>
                                    </a>
                                </div>
                                <div class="d-flex align-items-center justify-content-between">
                                    <small class="text-uppercase font-w-600"> <a class="item_title" href="{{ route('product', ['slug' => $item->slug]) }}">{{$item->name}} </a></small>
                                </div>
                                <hr>
                                <div class="d-flex align-items-center justify-content-between">
                                    @if ($item->on_sale)
                                    <h3 class="font-w-700  font-secondery" style="text-decoration:line-through;color: #595959;font-size: 18px">$ {{$item->price}}</h3>
                                    <h4 style="font-size: 18px" class="font-w-700 text-dark font-secondery">$ {{$item->on_sale}}</h4>
                                    @else
                                    <h3 style="font-size: 18px" class="font-w-700 text-dark font-secondery">$ {{$item->price}}</h3>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <?php $count++; ?>
                        @endforeach
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="section cm-cta bg-cover overlay-light pt-80 pb-80" style="background-image: url({{asset('assets/images/tech-support/contactus.jpg')}});">
        <div class="container">
            <div class="row">
                <div class="col-xl-5 col-lg-6 col-md-8">
                    <div class="text-dark">
                        <h3 class="mb-30">Just Give Us a Call at</h3>
                        <h2 class="h1 mb-20">Express Repair and Services Every Time!</h2>
                        @if (setting('site.mobile'))
                        <h3 style="font-size: 20px" class="mb-30"><a href="tel: {{setting('site.mobile')}}">{{setting('site.mobile')}}</a> for Immediate Tech Support</h3>
                        @endif
                    </div>
                    <a href="{{route('contact')}}" class="btn btn-primary1" style="color: white">Appointment</a>
                </div>
            </div>
        </div>
    </section>    
    <section class="carousel_se_02 section cm-brands pt-80 pb-80">
        <div class="container-fluid">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12 text-center wow fadeInUp">
                        <h2 class="section-heading h1 text-dark mb-30">Our Trusted Brands</h2>
                    </div>
                    <div class="col-md-12 px-4 pt-0">
                        <div class="owl-carousel carousel_se_02_carousel owl-theme owl-loaded owl-drag">
                            <div class="owl-stage-outer">
                                <div class="owl-stage" style="transform: translate3d(-1092px, 0px, 0px); transition: all 0.25s ease 0s; width: 3822px;">
                                    @foreach ($brands as $brand)
                                            <div class="owl-item {{ ($brand->id == 1 || $brand->id <= 5)?'active':'' }}" style="width: auto;">
                                                <div class="item">
                                                    <div class="col-sm-12 p-2 wow fadeInUp delay-4">
                                                            <div class="product-image3">
                                                                <img src="{{ Voyager::image($brand->image) }}" class="img-fluid pic-1" alt="{{$brand->title}}">
                                                            </div>
                                                    </div>
                                                </div>
                                            </div>
                                    @endforeach
                                </div>
                            </div>
                            <div class="owl-nav">
                                <button type="button" role="presentation" class="owl-prev">
                                    <i class="icofont-bubble-left"></i>
                                </button>
                                <button type="button" role="presentation" class="owl-next">
                                    <i class="icofont-bubble-right"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ITEM DETAILS MODAL CONTAINER -->
    <div id="item-details"></div>
@endsection
@push('styles')
    <style>
        .product-item:hover .card-img-top{-webkit-filter: none; filter: none;}
        .product-badges{position: absolute;top: 20px;right: 20px;display: flex;-webkit-box-orient: vertical;-webkit-box-direction: normal;flex-direction: column;margin-bottom: -12px;}
        .onsale{background-color: #d33733; font-weight: 400;line-height: 48px;z-index: 5;width: 48px;height: 48px;margin-bottom: 12px;text-align: center;text-transform: lowercase;color: #FFFFFF;border-radius: 50%;}
        .cm-services .nav-link-1:hover, .cm-services .nav-link-1.active{background-color: #d33733;color: white !important;}
        .btn-link:hover{text-decoration: none;color: white;}
        .item_title{color: black;}
        .item_title:hover{text-decoration: none;}
        /* .mobileShow{display: none;}
        @media (max-width: 767px){.mobileShow{display: block;}.mobileHide {display: none;}} */
    </style>
@endpush()
@push('scripts')
    <script type="text/javascript">
        $(document).ready(function(){
            $(".get-item-details").click(function(){
                var item_id = $(this).data('value');
                $.ajax({
                    url: "{{ route('item-details') }}",
                    type: 'POST',
                    data: {
                        "_token": "{{ csrf_token() }}",
                        "item_id": item_id
                    },
                    success: function(data){
                        $("#itemDetails").remove();
                        $('#item-details').append(data);
                        $('#itemDetails').modal('show');
                    }
                });
            });
        });
        (function ($) {
            "use strict";
                    $(document).ready(function () {
                $(".carousel_se_02_carousel").owlCarousel({
                items: 4,
                nav: true,
                loop: true,
                mouseDrag: true,
                responsiveClass: true,
                navText: ["<i class='icofont-bubble-left'></i>", "<i class='icofont-bubble-right'></i>"],
                responsive: {
                    0: {
                    items: 1,
                    },
                    480: {
                    items: 2,
                    },
                    767: {
                    items: 3,
                    },
                    992: {
                    items: 3,
                    },
                    1200: {
                    items: 4,
                    },
                },
                });
            });
        });
    </script>
@endpush()