<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CartController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\PageController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\CheckoutController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/',                            [PageController::class ,'home'])->name('home');
Route::get('about-us',                     [PageController::class ,'about_us'])->name('about-us');
Route::get('service/{slug}',               [PageController::class ,'service'])->name('services');
Route::get('news',                         [PageController::class ,'news'])->name('news');
Route::get('detail/{slug}',                [PageController::class ,'news_details'])->name('detail');
Route::get('product-category/{slug}',      [PageController::class ,'product_categories'])->name('product-category');
Route::get('shop',                         [PageController::class ,'shop'])->name('shop');
Route::get('product/{slug}',               [PageController::class ,'product_details'])->name('product');
Route::post('/item-details',               [PageController::class, 'itemDetails'])->name('item-details');
Route::get('contact',                      [PageController::class ,'contact'])->name('contact');
Route::post('contact-us',                  [PageController::class ,'sendContact'])->name('send-contact');
Route::get('faqs',                         [PageController::class ,'faq'])->name('faq');
Route::get('downloads',                    [PageController::class ,'downloads'])->name('downloads');
Route::post('download/file',               [PageController::class ,'downloadFile'])->name('download-file');
Route::get('/search',                      [PageController::class, 'search'])->name('search-product');

Route::get('cart',                         [CartController::class ,'index'])->name('cart.index');
Route::post('/cart/{slug}',                [CartController::class , 'store'])->name('cart.store');
Route::post('/cart/update/quantity',       [CartController::class, 'update'])->name('cart.update');
Route::post('/remove/cart/{id}',                [CartController::class , 'destroy'])->name('cart.destroy');

Route::middleware(['checkout'])->group(function () {
    Route::get('/checkout',                    [CheckoutController::class , 'index'])->name('checkout.index');
    Route::post('/checkout',                   [CheckoutController::class ,'store'])->name('checkout.store');
});
Route::delete('/chekcout/{id}',            [CheckoutController::class , 'destroy'])->name('checkout.destroy');
Route::get('/order/details/{slug}',        [ProfileController::class , 'orderDetails'])->name('order-details');

Route::get('/account',                     [ProfileController::class , 'index'])->name('profile');
Route::post('/account/{id}',               [ProfileController::class ,'update'])->name('profile.update');
Route::post('/changePassword',             [ProfileController::class ,'changePassword'])->name('changePassword');
Route::post('/address/{id}',               [ProfileController::class ,'addressUpdate'])->name('address.update');




Route::group(['prefix' => 'bac0ffice'], function () {
    Voyager::routes();
});

Auth::routes(['verify' => true]);

